#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab --output	lib/Doctrine/Common/Cache/autoload.php \
			lib/Doctrine/Common/Cache
	mkdir --parents vendor debian/tmp
	phpabtpl \
		--require-file ../lib/Doctrine/Common/Cache/autoload.php \
		--require psr/cache \
		--require cache/integration-tests \
		--require symfony/cache \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	memcached -d -u memcache
	redis-server --daemonize yes
	phpunit --exclude-group nophpunit11 --bootstrap vendor/autoload.php

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog
